export const DemoGraph01 = {
  nodes: [
    {
      id: "node1",
      label: "开始",
      x: 200,
      y: 40,
      width: 80,
      height: 40,
      type: "1",
      data: {nodeType: "1", taskType: "begin"},
      shape: "circle"
    },
    {
      id: "node2",
      label: "时间域标识",
      x: 200,
      y: 120,
      width: 80,
      height: 40,
      type: "2",
      data: {nodeType: "2", taskType: "time"},
      shape: "rect"
    },
    {
      id: "node3",
      label: "空间域标识",
      x: 200,
      y: 200,
      width: 80,
      height: 40,
      type: "2",
      data: {nodeType: "2", taskType: "space"},
      shape: "rect"
    },
    {
      id: "node4",
      label: "数据质检",
      x: 200,
      y: 280,
      width: 80,
      height: 40,
      type: "2",
      data: {nodeType: "2", taskType: "inspect"},
      shape: "rect"
    },
    {
      id: "node5",
      label: "数据清洗",
      x: 200,
      y: 360,
      width: 80,
      height: 40,
      type: "2",
      data: {nodeType: "2", taskType: "clean"},
      shape: "rect"
    },
    {
      id: "node6",
      label: "结束",
      x: 200,
      y: 440,
      width: 80,
      height: 40,
      type: "4",
      data: {nodeType: "4", taskType: "end"},
      shape: "circle"
    },
  ],
  edges: [
    {source: "node1", target: "node2", shape: "edge"},
    {source: "node2", target: "node3", shape: "edge"},
    {source: "node3", target: "node4", shape: "edge"},
    {source: "node4", target: "node5", shape: "edge"},
    {source: "node5", target: "node6", shape: "edge"}
  ]
}

export const DemoGraph02 = {
  nodes: [
    {
      id: "node1",
      label: "开始",
      x: 200,
      y: 40,
      width: 80,
      height: 40,
      type: "1",
      data: {nodeType: "1", taskType: "begin"},
      shape: "circle"
    },
    {
      id: "node2",
      label: "时间域标识",
      x: 200,
      y: 120,
      width: 80,
      height: 40,
      type: "2",
      data: {nodeType: "2", taskType: "time"},
      shape: "rect"
    },
    {
      id: "node3",
      label: "空间域标识",
      x: 200,
      y: 200,
      width: 80,
      height: 40,
      type: "2",
      data: {nodeType: "2", taskType: "space"},
      shape: "rect"
    },
    {
      id: "node4",
      label: "地理实体编码",
      x: 190,
      y: 280,
      width: 100,
      height: 40,
      type: "2",
      data: {nodeType: "2", taskType: "code"},
      shape: "rect"
    },
    {
      id: "node5",
      label: "结束",
      x: 200,
      y: 360,
      width: 80,
      height: 40,
      type: "4",
      data: {nodeType: "4", taskType: "end"},
      shape: "circle"
    },
  ],
  edges: [
    {source: "node1", target: "node2", shape: "edge"},
    {source: "node2", target: "node3", shape: "edge"},
    {source: "node3", target: "node4", shape: "edge"},
    {source: "node4", target: "node5", shape: "edge"},
    {source: "node5", target: "node6", shape: "edge"}
  ]
}