import createEnum from "./data/create-enum";

export function MonthChange(month) {
  switch (month) {
    case 2:
      return 28
      break
    case 1:
    case 3:
    case 5:
    case 7:
    case 8:
    case 10:
    case 12:
      return 31
    case 4:
    case 6:
    case 9:
    case 11:
      return 30
  }
}

export function TaskTypeChange(val) {
  switch (val) {
    case 'end':
      return createEnum([
        {value: 'end', label: '结束'},
      ])
    case 'begin':
      return createEnum([
        {value: 'begin', label: '启动'},
      ])
    case 'time':
    case 'space':
    case 'inspect':
    case 'clean':
    case 'code':
      return createEnum([
        {value: 'time', label: '时间域标识'},
        {value: 'space', label: '空间域标识'},
        {value: 'inspect', label: '数据质检'},
        {value: 'clean', label: '数据清洗'},
        {value: 'topo', label: '拓扑关系'},
        {value: 'code', label: '地理实体编码'},
      ])
    case null:
      return createEnum([
        {value: 'time', label: '时间域标识'},
        {value: 'space', label: '空间域标识'},
        {value: 'inspect', label: '数据质检'},
        {value: 'clean', label: '数据清洗'},
        {value: 'topo', label: '拓扑关系'},
        {value: 'code', label: '地理实体编码'},
      ])
    default:
      return createEnum([])
  }
}

