/**
 * 弹窗组件默认控制
 */
export default {
  // model: {
  //   prop: 'visible',
  //   event: 'toggle'
  // },
  props: {
    modelValue: {
      type: Boolean,
      default: () => {
        return false
      }
    }
  },
  computed: {
    innerVisible: {
      get: function() {
        return this.modelValue
      },
      set: function(val) {
        this.$emit('update:modelValue', val)
      }
    }
  }
}
